Api referenceSuppressions
POST
/suppressions

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format zk_live_* or zk_test_*

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://zend.sh/api/v1/suppressions" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",
  "email_hash": "string",
  "email": "user@example.com",
  "reason": "unsubscribe",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "type": "string",
  "message": "string",
  "field": "string",
  "status": 0
}
{
  "type": "string",
  "message": "string",
  "field": "string",
  "status": 0
}
{
  "type": "string",
  "message": "string",
  "field": "string",
  "status": 0
}